#include <bits/stdc++.h>

using namespace std;

ifstream fin("genshin.in");
ofstream fout("genshin.out");

int main()
{
    int n, x, y, d;
    fin >> n >> x >> y >> d;

    if (n <= 1000) {
        int totalCoins = 0, remaining, hp;
        vector<int> efforts;
        for (int i = 1; i <= n; ++i) {
            fin >> hp;
            remaining = hp % (x + y);
            if (remaining > 0 && remaining <= x) {
                ++totalCoins;
            }
            else {
                if (remaining == 0) {
                    remaining = x + y;
                }
                efforts.push_back(remaining / x - (remaining % x == 0));
            }
        }

        for (int i = 0; i < efforts.size() - 1; ++i) {
            for (int j = i + 1; j < efforts.size(); ++j) {
                if (efforts[i] > efforts[j]) {
                    swap(efforts[i], efforts[j]);
                }
            }
        }

        int sum = 0;
        for (const int& effort: efforts) {
            if (sum + effort <= d) {
                sum += effort;
                ++totalCoins;
            }
            else {
                break;
            }
        }

        fout << totalCoins << '\n';
    }
    else if (x == y) {
        int totalCoins = 0, remaining, hp;
        int skipped = 0;
        for (int i = 1; i <= n; ++i) {
            fin >> hp;
            remaining = hp % (x + y);
            if (remaining > 0 && remaining <= x) {
                ++totalCoins;
            }
            else {
                ++skipped;
            }
        }
        fout << totalCoins + min(skipped, d);
    }
    return 0;
}